Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - f -

- fail_block : reg_named_capture_assign_t
- fbuffer : JSON_ParserStruct
- fd : recvfrom_arg , rsock_send_arg , udp_arg , connect_arg , rb_io_t , io_internal_read_struct , pty_info , accept_arg , io_internal_write_struct , read_internal_arg , inetsock_arg , ioctl_arg , select_args
- fd_close : rb_execarg
- fd_dup2 : rb_execarg
- fd_dup2_child : rb_execarg
- fd_open : rb_execarg
- fds : copy_stream_struct
- fdsets : select_args
- feature : autoload_data_i
- feedvalue : enumerator
- fffi_arg : fiddle_generic
- fffi_sarg : fiddle_generic
- ffloat : fiddle_generic
- fib : enumerator
- fiber : rb_thread_struct
- fiber_machine_stack_size : rb_vm_struct
- fiber_vm_stack_size : rb_vm_struct
- file : yaml_parser_s , yaml_emitter_s , RVALUE , rb_const_entry_struct
- filename : argf , oldbt_arg , eval_string_from_file_arg
- filled_version : cache_entry
- fin : cparse_params
- final : rb_objspace , weakmap , sip_interface_st
- final_num : rb_objspace
- finalize : rb_io_t
- finalizing : rb_objspace
- finish_func : rb_digest_metadata_t , rb_transcoder
- first_args : rb_thread_struct
- first_func : rb_thread_struct
- first_lineno : rb_iseq_location_struct , rb_binding_t
- first_post_arg : rb_args_info
- first_proc : rb_thread_struct
- flag : rb_const_entry_struct , Real , rb_method_entry_struct , StrNode , rb_call_info_struct , rb_control_frame_struct
- flags : RBasic , OnigEncodingTypeST , rb_objspace , RNode , DBM , recvfrom_arg , getnameinfo_arg , rsock_send_arg , StringIO , strscanner , zstream , RVALUE , CClassNode , rb_transcoding , DateData , rb_econv_t , _NtCmdLineElement , brace_args , SimpleDateData , ComplexDateData
- flip_cnt : rb_iseq_struct
- float_value : RFloat , bytesequence4_or_float
- flonum : RVALUE
- flow_level : yaml_parser_s , yaml_emitter_s
- flow_plain_allowed : yaml_emitter_s
- flush : zstream_run_args
- fname : sysopen_struct , load_file_arg
- for_iseq : iseq_compile_data
- fore : st_table_entry
- forever : join_arg
- fptr : binwrite_arg , bufread_arg , RFile , finish_writeconv_arg , pipe_list
- frac : Real
- free : ptr_data , RVALUE
- free_bitmap : rb_objspace
- free_min : rb_objspace
- free_next : heaps_slot
- free_num : rb_objspace
- free_slots : rb_objspace
- freed : rb_objspace
- freelist : heaps_slot
- from : OnigPairCaseFoldCodes
- func : rb_event_hook_struct , asynchronous_arg_t , exec_recursive_params , glob_args , trace_var , INamesArg , rb_tp_struct , end_proc_data , hash_foreach_arg , brace_args , foreach_safe_arg , obj_ivar_tag , oldbt_arg , rb_method_cfunc_struct , zstream , magic_comment , rb_unblock_callback , update_arg , call_queue
- func_ii : rb_transcoder
- func_io : rb_transcoder
- func_si : rb_transcoder
- func_sio : rb_transcoder
- func_so : rb_transcoder
- funcs : tmx
- function : rb_data_type_struct